AOMedia AV1 Codec: HIGH_LEVEL_SPEED_FEATURES Struct Reference

| AOMedia AV1 Codec

Data Fields
HIGH_LEVEL_SPEED_FEATURES Struct Reference

Sequence/frame level speed vs quality features. More...

`#include <speed_features.h>`

## Data Fields
int | frame_parameter_update
RECODE_LOOP_TYPE | recode_loop
int | recode_tolerance
MV_PREC_LOGIC | high_precision_mv_usage
int | static_segmentation
SUPERRES_AUTO_SEARCH_TYPE | superres_auto_search_type
int | disable_extra_sc_testing
int | second_alt_ref_filtering
int | num_frames_used_in_tf
int | accurate_bit_estimate

## Detailed Description

Sequence/frame level speed vs quality features.

## Field Documentation

## ◆ frame_parameter_update

int HIGH_LEVEL_SPEED_FEATURES::frame_parameter_update

Frame level coding parameter update.

Referenced by av1_encode_frame().

## ◆ recode_loop

RECODE_LOOP_TYPE HIGH_LEVEL_SPEED_FEATURES::recode_loop

Cases and frame types for which the recode loop is enabled.

Referenced by encode_with_recode_loop(), encode_with_recode_loop_and_filter(), and recode_loop_test().

## ◆ recode_tolerance

int HIGH_LEVEL_SPEED_FEATURES::recode_tolerance

Controls the tolerance vs target rate used in deciding whether to recode a frame. It has no meaning if recode is disabled.

## ◆ high_precision_mv_usage

MV_PREC_LOGIC HIGH_LEVEL_SPEED_FEATURES::high_precision_mv_usage

Determine how motion vector precision is chosen. The possibilities are: LAST_MV_DATA: use the mv data from the last coded frame CURRENT_Q: use the current q as a threshold QTR_ONLY: use quarter pel precision only.

Referenced by encode_with_recode_loop().

## ◆ static_segmentation

int HIGH_LEVEL_SPEED_FEATURES::static_segmentation

Always set to 0. If on it enables 0 cost background transmission (except for the initial transmission of the segmentation). The feature is disabled because the addition of very large block sizes make the backgrounds very to cheap to encode, and the segmentation we have adds overhead.

## ◆ superres_auto_search_type

SUPERRES_AUTO_SEARCH_TYPE HIGH_LEVEL_SPEED_FEATURES::superres_auto_search_type

Superres-auto mode search type:

## ◆ disable_extra_sc_testing

int HIGH_LEVEL_SPEED_FEATURES::disable_extra_sc_testing

Enable/disable extra screen content test by encoding key frame twice.

Referenced by encode_with_recode_loop().

## ◆ second_alt_ref_filtering

int HIGH_LEVEL_SPEED_FEATURES::second_alt_ref_filtering

Enable/disable second_alt_ref temporal filtering.

## ◆ num_frames_used_in_tf

int HIGH_LEVEL_SPEED_FEATURES::num_frames_used_in_tf

Number of frames to be used in temporal filtering controlled based on noise levels and arf-q.

Referenced by tf_setup_filtering_buffer().

## ◆ accurate_bit_estimate

int HIGH_LEVEL_SPEED_FEATURES::accurate_bit_estimate

Decide the bit estimation approach used in qindex decision. 0: estimate bits based on a constant value; 1: estimate bits more accurately based on the frame complexity.

Referenced by av1_rc_pick_q_and_bounds().

The documentation for this struct was generated from the following file:

- av1/encoder/speed_features.h